Package com.google.protobuf

# Class GeneratedMessageLite.GeneratedExtension<ContainingType extends MessageLite,Type>

java.lang.Object
com.google.protobuf.ExtensionLite<ContainingType,Type>
com.google.protobuf.GeneratedMessageLite.GeneratedExtension<ContainingType,Type>

Enclosing class:
  GeneratedMessageLite<MessageType extends GeneratedMessageLite<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.Builder<MessageType,BuilderType>>

public static class GeneratedMessageLite.GeneratedExtension<ContainingType extends MessageLite,Type> extends ExtensionLite<ContainingType,Type>
Lite equivalent to `GeneratedMessage.GeneratedExtension`.

Users should ignore the contents of this class and only use objects of this type as parameters to extension accessors and ExtensionRegistry.add().

## Method Summary

Modifier and Type
Method
Description
`ContainingType`
`getContainingTypeDefaultInstance()`
Default instance of the type being extended, used to identify that type.
`Type`
`getDefaultValue()`
Returns the default value of the extension field.
`WireFormat.FieldType`
`getLiteType()`
Returns the type of the field.
`MessageLite`
`getMessageDefaultInstance()`
If the extension is an embedded message or group, returns the default instance of the message.
`int`
`getNumber()`
Get the field number.
`boolean`
`isRepeated()`
Returns whether it is a repeated field.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getContainingTypeDefaultInstance

public ContainingType getContainingTypeDefaultInstance()
Default instance of the type being extended, used to identify that type.

### getNumber

public int getNumber()
Get the field number.

Specified by:
  `getNumber` in class `ExtensionLite<ContainingType extends MessageLite,Type>`

### getMessageDefaultInstance

public MessageLite getMessageDefaultInstance()
If the extension is an embedded message or group, returns the default instance of the message.

Specified by:
  `getMessageDefaultInstance` in class `ExtensionLite<ContainingType extends MessageLite,Type>`

### getLiteType

public WireFormat.FieldType getLiteType()
Description copied from class: `ExtensionLite`
Returns the type of the field.

Specified by:
  `getLiteType` in class `ExtensionLite<ContainingType extends MessageLite,Type>`

### isRepeated

public boolean isRepeated()
Description copied from class: `ExtensionLite`
Returns whether it is a repeated field.

Specified by:
  `isRepeated` in class `ExtensionLite<ContainingType extends MessageLite,Type>`

### getDefaultValue

public Type getDefaultValue()
Description copied from class: `ExtensionLite`
Returns the default value of the extension field.

Specified by:
  `getDefaultValue` in class `ExtensionLite<ContainingType extends MessageLite,Type>`